{% extends 'dragonboard-410c.jinja2' %}
{% set connection_list = ['uart0'] %}
{% set connection_commands = {'uart0': 'telnet lkft-staging-master 7119'} %}
{% set connection_tags = {'uart0': ['primary', 'telnet']} %}
{% set adb_serial_number = '1bc92320' %}
{% set fastboot_serial_number = '1bc92320' %}

{# OTG is plugged into USB port 8 #}

{% set pre_power_command = '/usr/local/lab-scripts/cbrxd_hub_control --usb_port 8 --mode sync --name lkft-staging-master-hub01' %}
{% set pre_os_command = '/usr/local/lab-scripts/cbrxd_hub_control --usb_port 8 --mode off --name lkft-staging-master-hub01' %}
{% set hard_reset_command = ['/usr/local/lab-scripts/cbrxd_hub_control --usb_port 8 --mode off --name lkft-staging-master-hub01',
'/usr/local/lab-scripts/snmp_pdu_control --hostname pdu14 --command reboot --port 1 --delay 50',
'/usr/local/lab-scripts/cbrxd_hub_control --usb_port 8 --mode sync --name lkft-staging-master-hub01'] %}
{% set power_on_command = '/usr/local/lab-scripts/snmp_pdu_control --hostname pdu14 --command on --port 1' %}
{% set power_off_command = ['/usr/local/lab-scripts/snmp_pdu_control --hostname pdu14 --command off --port 1',
'/usr/local/lab-scripts/cbrxd_hub_control --usb_port 8 --mode off --name lkft-staging-master-hub01'] %}
{% set device_info = [{'board_id': '1bc92320'}] %}
{% set flash_cmds_order = ['update', 'ptable', 'partition', 'hyp', 'modem',
                           'rpm', 'sbl1', 'sbl2', 'sec', 'tz', 'aboot',
                           'boot', 'rootfs', 'vendor', 'system', 'cache',
                           'userdata', ] %}

{% set sync_to_lava = {'device_type': 'dragonboard-410c', 'worker': 'lkft-staging-master.lavalab', 'tags': ['4k-hdmi-dongle', 'new-firmware', 'cambridge-lab', 'production'], 'aliases': []} %}